Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet
Interface PortletActionConstants

All Known Implementing Classes:
  Jsr168Dispatcher, PortletActionContext

    public interface PortletActionConstants

Interface defining some constants used in the Struts portlet implementation

Field Summary
`static String` | `ACTION_PARAM` Action name parameter name
`static String` | `DEFAULT_ACTION_FOR_MODE` Key for the default action name for the portlet, stored in the `PortletActionContext`.
`static String` | `DEFAULT_ACTION_NAME` Default action name to use when no default action has been configured in the portlet init parameters.
`static String` | `ERROR_ACTION` Name of the action used as error handler
`static String` | `EVENT_ACTION` Key used for looking up and storing the action that was invoked in the event phase.
`static Integer` | `EVENT_PHASE` Constant used for the event phase ( `Portlet.processAction(javax.portlet.ActionRequest, javax.portlet.ActionResponse)`)
`static String` | `MODE_NAMESPACE_MAP` Key for the mode-to-namespace map stored in the `PortletActionContext`.
`static String` | `MODE_PARAM` Key for parameter holding the last executed portlet mode.
`static String` | `PHASE` Key used for looking up and storing the portlet phase
`static String` | `PORTLET_CONFIG` Key used for looking up and storing the `PortletConfig`
`static String` | `PORTLET_NAMESPACE` Key for the portlet namespace stored in the `PortletActionContext`.
`static Integer` | `RENDER_PHASE` Constant used for the render phase ( `Portlet.render(javax.portlet.RenderRequest, javax.portlet.RenderResponse)`)
`static String` | `REQUEST` Key used for looking up and storing the `PortletRequest`
`static String` | `RESPONSE` Key used for looking up and storing the `PortletResponse`

Field Detail

### DEFAULT_ACTION_NAME

    static final String DEFAULT_ACTION_NAME

  Default action name to use when no default action has been configured in the portlet init parameters.

  See Also:
    Constant Field Values

### ACTION_PARAM

    static final String ACTION_PARAM

  Action name parameter name

  See Also:
    Constant Field Values

### MODE_PARAM

    static final String MODE_PARAM

  Key for parameter holding the last executed portlet mode.

  See Also:
    Constant Field Values

### PHASE

    static final String PHASE

  Key used for looking up and storing the portlet phase

  See Also:
    Constant Field Values

### RENDER_PHASE

    static final Integer RENDER_PHASE

  Constant used for the render phase ( `Portlet.render(javax.portlet.RenderRequest, javax.portlet.RenderResponse)`)

### EVENT_PHASE

    static final Integer EVENT_PHASE

  Constant used for the event phase ( `Portlet.processAction(javax.portlet.ActionRequest, javax.portlet.ActionResponse)`)

### REQUEST

    static final String REQUEST

  Key used for looking up and storing the `PortletRequest`

  See Also:
    Constant Field Values

### RESPONSE

    static final String RESPONSE

  Key used for looking up and storing the `PortletResponse`

  See Also:
    Constant Field Values

### EVENT_ACTION

    static final String EVENT_ACTION

  Key used for looking up and storing the action that was invoked in the event phase.

  See Also:
    Constant Field Values

### PORTLET_CONFIG

    static final String PORTLET_CONFIG

  Key used for looking up and storing the `PortletConfig`

  See Also:
    Constant Field Values

### ERROR_ACTION

    static final String ERROR_ACTION

  Name of the action used as error handler

  See Also:
    Constant Field Values

### PORTLET_NAMESPACE

    static final String PORTLET_NAMESPACE

  Key for the portlet namespace stored in the `PortletActionContext`.

  See Also:
    Constant Field Values

### MODE_NAMESPACE_MAP

    static final String MODE_NAMESPACE_MAP

  Key for the mode-to-namespace map stored in the `PortletActionContext`.

  See Also:
    Constant Field Values

### DEFAULT_ACTION_FOR_MODE

    static final String DEFAULT_ACTION_FOR_MODE

  Key for the default action name for the portlet, stored in the `PortletActionContext`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.